Errors: Depreciation on website and cannot get module data

  • Answered
After i published my web I updated my php to reflect time zone. Now, the error i am receiving: Deprecated: Function set_magic_quotes_runtime() is deprecated in /home/sonsof7/public_html/init.php on line 44. I tried to search for this as to correct but could not understand the directions.

Also, I went into the premium web builder to make some changes to my blog and forum but was unable to because of the following error: Cannot get module data, message -the published site is not accessible now.

Please advise! Thanks!
Scott
Hello, Sorry to hear about the deprecation messages displaying on your website. For production sites, you will want to have PHP error-reporting turned off entirely. However, you can specifically disable different error message types if you wish to display specific ones on your site. Deprecation messages are simply a notice for developers explaining that a specific function is slated for retirement in a future version. This is so they can code an updated version by the time this happens. You also have the option of changing the PHP version on your account to an older version. For builder, 5.2 is the most friendly. Either method will work fine (changing version or disabling the error reporting for deprecated messages) for your site. Kindest Regards, Scott M